summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-libs/libssh2/libssh2-1.8.0-r1.ebuild')
-rw-r--r--net-libs/libssh2/libssh2-1.8.0-r1.ebuild21
1 files changed, 8 insertions, 13 deletions
diff --git a/net-libs/libssh2/libssh2-1.8.0-r1.ebuild b/net-libs/libssh2/libssh2-1.8.0-r1.ebuild
index 8abb95e667b..1105b230b82 100644
--- a/net-libs/libssh2/libssh2-1.8.0-r1.ebuild
+++ b/net-libs/libssh2/libssh2-1.8.0-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit ltprune multilib-minimal
+inherit multilib-minimal
DESCRIPTION="Library implementing the SSH2 protocol"
HOMEPAGE="https://www.libssh2.org"
@@ -10,27 +10,23 @@ SRC_URI="https://www.${PN}.org/download/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="alpha amd64 arm arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="gcrypt libressl static-libs test zlib"
-DEPEND="
+RDEPEND="
!gcrypt? (
- !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0[${MULTILIB_USEDEP}] )
- libressl? ( dev-libs/libressl[${MULTILIB_USEDEP}] )
+ !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}] )
+ libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
)
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0[${MULTILIB_USEDEP}] )
zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
"
-RDEPEND="
- ${DEPEND}
-"
+DEPEND="${RDEPEND}"
-DOCS=(
- NEWS README
-)
PATCHES=(
"${FILESDIR}"/${PN}-1.8.0-libgcrypt-prefix.patch
"${FILESDIR}"/${PN}-1.8.0-mansyntax_sh.patch
+ "${FILESDIR}"/${PN}-1.8.0-openssl11.patch
)
multilib_src_configure() {
@@ -45,6 +41,5 @@ multilib_src_configure() {
multilib_src_install_all() {
einstalldocs
-
- prune_libtool_files
+ find "${D}" -name '*.la' -delete || die
}